## fntsample 5.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
project(fntsample C)

set(CMAKE_C_STANDARD 99)

include(CheckCCompilerFlag)
include(GNUInstallDirs)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake")

find_package(PkgConfig REQUIRED)
find_package(Intl REQUIRED)
find_package(Gettext REQUIRED)
find_package(Iconv REQUIRED)

pkg_check_modules(pkgs REQUIRED cairo fontconfig freetype2 glib-2.0 pangocairo>=1.16 pangoft2)

find_program(AWK NAMES gawk awk mawk)
if(NOT AWK)
  message(FATAL_ERROR "awk is required to build the program but was not found.")
endif()

find_file(UNICODE_BLOCKS Blocks.txt
  PATHS /usr/share/unicode
  DOC "Unicode blocks file"
  NO_DEFAULT_PATH)

if(NOT UNICODE_BLOCKS)
  message(FATAL_ERROR "Unicode blocks file (Blocks.txt) not found. \
Use -DUNICODE_BLOCKS=<path> to specify location of this file. \
Blocks.txt file is available at Unicode site: http://unicode.org/Public/UNIDATA/Blocks.txt"
)
endif()

string(TIMESTAMP DATE "%Y-%m-%d" UTC)

set(CMAKE_REQUIRED_FLAGS -Wl,--as-needed)
check_c_compiler_flag("" HAVE_AS_NEEDED) #empty because we are testing a linker flag
if(HAVE_AS_NEEDED)
  set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,--as-needed")
endif()

add_compile_options(-Wall -W -Wwrite-strings -Wstrict-prototypes -pedantic)

configure_file(config.h.in config.h @ONLY)
configure_file(fntsample.1.in fntsample.1 @ONLY)
configure_file(pdfoutline.1.in pdfoutline.1 @ONLY)
configure_file(pdfoutline.pl pdfoutline @ONLY)

include_directories(fntsample
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${Intl_INCLUDE_DIRS}
  ${Iconv_INCLUDE_DIRS}
  ${pkgs_INCLUDE_DIRS}
)

add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/unicode_blocks.c
  COMMAND ${AWK} -f genblocks.awk ${UNICODE_BLOCKS} > ${CMAKE_CURRENT_BINARY_DIR}/unicode_blocks.c
  DEPENDS ${UNICODE_BLOCKS} genblocks.awk
  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
  VERBATIM
)

set(SOURCES
  fntsample.c
  read_blocks.c
  unicode_blocks.h
  ${CMAKE_CURRENT_BINARY_DIR}/unicode_blocks.c
  ${CMAKE_CURRENT_BINARY_DIR}/config.h
)

add_executable(fntsample ${SOURCES})

target_link_libraries(fntsample
  m
  ${Intl_LIBRARIES}
  ${Iconv_LIBRARIES}
  ${pkgs_LIBRARIES}
)

install(TARGETS fntsample DESTINATION ${CMAKE_INSTALL_BINDIR})

install(PROGRAMS "${CMAKE_CURRENT_BINARY_DIR}/pdfoutline"
        DESTINATION ${CMAKE_INSTALL_BINDIR})

install(FILES "${PROJECT_BINARY_DIR}/fntsample.1"
              "${PROJECT_BINARY_DIR}/pdfoutline.1"
        DESTINATION "${CMAKE_INSTALL_MANDIR}/man1")

add_subdirectory(po)

=== po/CMakeLists.txt ===
set(LANGUAGES uk)

add_custom_target(pofiles)

function(process_po_files _langs)
  foreach(_lang ${_langs})
    set(_po_file "${CMAKE_CURRENT_SOURCE_DIR}/${_lang}.po")
    set(_gmo_file "${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo")
    set(_gmo_file_tgt "${_lang}.gmo")

    add_custom_command(OUTPUT ${_gmo_file}
      COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} ${_po_file} -o ${_gmo_file}
      DEPENDS ${_po_file}
      COMMENT "Compiling ${_lang}.po to ${_lang}.gmo"
      VERBATIM)

    install(FILES ${_gmo_file}
            DESTINATION "${CMAKE_INSTALL_LOCALEDIR}/${_lang}/LC_MESSAGES/"
            RENAME "${CMAKE_PROJECT_NAME}.mo")

    add_custom_target(${_gmo_file_tgt} ALL DEPENDS ${_gmo_file})
    add_dependencies(pofiles ${_gmo_file_tgt})
  endforeach()
endfunction()

process_po_files(${LANGUAGES})

## fntsample 3.2

=== debian/changelog ===
fntsample (3.2-4) unstable; urgency=low

  * Use autotools-dev when building the package. This should fix FTBFS on
    arm64 (closes: #727856).
  * Standards-Version 3.9.4 — no changes required

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 27 Oct 2013 20:38:30 +0100

fntsample (3.2-3) unstable; urgency=low

  * Do not set CFLAGS in debian/rules, this is already handled by debhelper
    (this also enables some more hardening flags)

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 26 Aug 2012 17:09:34 +0200

fntsample (3.2-2) unstable; urgency=low

  * Add build-arch and build-indep targets
  * Standards-Version 3.9.3 — no changes required
  * Update copyright years in debian/copyright
  * Use debhelper compat level 9 for hardening flags
  * Use source format 3.0 (quilt)

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 26 Aug 2012 15:46:44 +0200

fntsample (3.2-1) unstable; urgency=low

  * New upstream release
  * Add Homepage field to debian/control
  * Update debian/copyright
  * Standards-Version 3.9.1 - no changes required

 -- Євгеній Мещеряков <eugen@debian.org>  Thu, 05 Aug 2010 16:53:03 +0200

fntsample (3.1-1) unstable; urgency=low

  * New upstream release
    - link with libm, fixes ftbfs with gold linker (closes: #554402)
  * Add --disable-silent-rules to configure flags, and remove most others
  * Remove definitions of DEB_*_GNU_TYPE from debian/rules, dh does not need
    them
  * Update copyright years

 -- Євгеній Мещеряков <eugen@debian.org>  Thu, 05 Nov 2009 20:59:13 +0100

fntsample (3.0-5) unstable; urgency=low

  * Rebuild with unicode-data 5.2.0-1
  * Standards-Version 3.8.3 — no changes required
  * Use sf-redirector in watch file 

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 13 Oct 2009 21:06:13 +0200

fntsample (3.0-4) unstable; urgency=low

  * Add Vcs-{Git,Browser} fields into debian/control
  * Simplify debian/rules using debhelper's overrides
  * Override lintian warning debian-watch-file-should-use-sf-redirector
  * Use © in debian/copyright to please lintian
  * Standards-Version 3.8.1 — no changes required

 -- Євгеній Мещеряков <eugen@debian.org>  Fri, 20 Mar 2009 22:54:25 +0100

fntsample (3.0-3) unstable; urgency=low

  * Update license in debian/copyright (GPLv3)

 -- Євгеній Мещеряков <eugen@debian.org>  Mon, 26 Jan 2009 15:48:33 +0100

fntsample (3.0-2) unstable; urgency=low

  * Depend on libintl-perl

 -- Євгеній Мещеряков <eugen@debian.org>  Thu, 23 Oct 2008 10:46:20 +0200

fntsample (3.0-1) unstable; urgency=low

  * New upstream release
    - adds font scaling (closes: #485853)
  * Add debian/watch
  * Standards-version 3.8.0 - no changes required
  * Build-depend on gettext
  * Use debhelper 7 and simplify debian/rules

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 22 Oct 2008 17:46:49 +0200

fntsample (2.8-1) unstable; urgency=low

  * New upstream release
    - can be built with current unicode-data
  * Standards-version 3.7.3 - no changes required

 -- Євгеній Мещеряков <eugen@debian.org>  Thu, 24 Apr 2008 11:32:19 +0200

fntsample (2.7-1) unstable; urgency=low

  * New upstream release
  * Build-depend on libpango1.0-dev (>= 1.16)

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Tue, 28 Aug 2007 13:40:56 +0200

fntsample (2.6-1) unstable; urgency=low

  * New upstream release
  * Build-depend on libpango1.0-dev
  * Do not ignore "make clean" error, thanks lintian

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Fri, 29 Jun 2007 00:08:01 +0200

fntsample (2.5-1) unstable; urgency=low

  * New upstream release

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Sun, 15 Apr 2007 00:55:25 +0200

fntsample (2.4-1) unstable; urgency=low

  * New upstream release
  * Add libpdf-api2-perl and ${perl:Depends} to dependencies for 'pdfoutline'
    script
  * Add dh_perl to debian/rules
  * Add information about pdfoutline to package description

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Wed, 14 Mar 2007 20:11:55 +0100

fntsample (2.3-1) unstable; urgency=low

  * New upstream release
  * Install upstream changelog too

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Sun,  4 Mar 2007 20:56:02 +0100

fntsample (2-1) unstable; urgency=low

  * Initial release (Closes: #407592)

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Sat, 20 Jan 2007 21:53:27 +0100

=== debian/control ===
Source: fntsample
Section: text
Priority: optional
Maintainer: Євгеній Мещеряков <eugen@debian.org>
Build-Depends: debhelper (>= 9~), gawk, libcairo2-dev, unicode-data, libglib2.0-dev,
  pkg-config, libfreetype6-dev, libpango1.0-dev (>= 1.16), gettext, autotools-dev
Standards-Version: 3.9.4
Vcs-Git: git://git.debian.org/git/collab-maint/fntsample.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/fntsample.git
Homepage: http://fntsample.sourceforge.net/

Package: fntsample
Architecture: any
Depends: libpdf-api2-perl, libintl-perl, ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Description: program for making font samples
 A program for making font samples that show Unicode coverage of the font
 and are similar in appearance to Unicode charts. Samples can be saved as
 PDF or PostScript files.
 .
 This package also contains script called 'pdfoutline', that can be used to
 add outlines (aka bookmarks) to generated PDF files.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build clean install binary-indep binary-arch binary build-arch build-indep:
	dh $@ --with autotools_dev

override_dh_auto_configure:
	dh_auto_configure -- --disable-silent-rules

.PHONY: build clean binary-indep binary-arch binary install build-arch build-indep
.PHONY: override_dh_auto_configure

## fntsample 4.0

=== debian/changelog ===
fntsample (4.0-1) unstable; urgency=medium

  * New upstream release

 -- Євгеній Мещеряков <eugen@debian.org>  Mon, 01 Feb 2016 00:21:10 +0100

fntsample (3.2-7) unstable; urgency=medium

  * Use canonical URIs for Vcs-* fields
  * Standards-Version 3.9.6 - no changes required
  * debian/gbp.conf - remove git- prefix

 -- Євгеній Мещеряков <eugen@debian.org>  Thu, 28 May 2015 22:38:44 +0200

fntsample (3.2-6) unstable; urgency=medium

  * Use ${source:Version} variable to generate dependency on unicode-data
    (closes: #752007) 

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 25 Jun 2014 20:42:21 +0200

fntsample (3.2-5) unstable; urgency=medium

  * Simplify debian/rules
  * Rebuild against newer unicode-data and add Built-Using field
    (closes: #751869)
  * Standards-Version 3.9.5 — no changes required

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 17 Jun 2014 21:17:46 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
 Maintainer: Євгеній Мещеряков <eugen@debian.org>
 Build-Depends: debhelper (>= 9~), gawk, libcairo2-dev, unicode-data, libglib2.0-dev,
   pkg-config, libfreetype6-dev, libpango1.0-dev (>= 1.16), gettext, autotools-dev
-Standards-Version: 3.9.4
-Vcs-Git: git://git.debian.org/git/collab-maint/fntsample.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/fntsample.git
+Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/collab-maint/fntsample.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/fntsample.git
 Homepage: http://fntsample.sourceforge.net/
 
 Package: fntsample
 Architecture: any
 Depends: libpdf-api2-perl, libintl-perl, ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
+Built-Using: ${Built-Using}
 Description: program for making font samples
  A program for making font samples that show Unicode coverage of the font
  and are similar in appearance to Unicode charts. Samples can be saved as

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autotools_dev

override_dh_gencontrol:
	dh_gencontrol -- -VBuilt-Using="`dpkg-query -f'$${source:Package} (= $${source:Version})' -W unicode-data`"

=== debian/watch ===
version=3
http://sf.net/fntsample/fntsample-(.+)\.tar\.gz

## fntsample 5.2

=== debian/changelog ===
fntsample (5.2-1) unstable; urgency=medium

  * New upstream release
  * Add signature verification for uscan

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 20 Dec 2017 22:39:51 +0100

fntsample (5.1-1) unstable; urgency=medium

  * New upstream release
  * Use HTTPS URL for Vcs-Git in debian/control
  * Update homepage URLs in debian/control and debian/copyright
  * Update copyright years in debian/copyright
  * Enable all hardening options

 -- Євгеній Мещеряков <eugen@debian.org>  Mon, 30 Oct 2017 20:06:24 +0100

fntsample (5.0-1) unstable; urgency=medium

  * New upstream release
  * debian/watch: update with new source location
  * Use cmake to build the package 
  * Remove patch reproducible-build.patch - not needed with cmake?
  * Standards-Version 4.1.1 - no changes required

 -- Євгеній Мещеряков <eugen@debian.org>  Fri, 27 Oct 2017 00:30:17 +0200

fntsample (4.0-2) unstable; urgency=medium

  * New patch reproducible-build.patch - enables reproducible builds. Thanks
    to Chris Lamb for the patch and reminding me to apply it
    (closes: #833611)
  * Standards-Version 3.9.8 - no changes required

 -- Євгеній Мещеряков <eugen@debian.org>  Mon, 10 Oct 2016 22:23:15 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Євгеній Мещеряков <eugen@debian.org>
 Build-Depends: debhelper (>= 9~), gawk, libcairo2-dev, unicode-data, libglib2.0-dev,
-  pkg-config, libfreetype6-dev, libpango1.0-dev (>= 1.16), gettext, autotools-dev
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/collab-maint/fntsample.git
+  pkg-config, libfreetype6-dev, libpango1.0-dev (>= 1.16), gettext, cmake (>= 3.0)
+Standards-Version: 4.1.1
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/fntsample.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/fntsample.git
-Homepage: http://fntsample.sourceforge.net/
+Homepage: https://github.com/eugmes/fntsample
 
 Package: fntsample
 Architecture: any

## fntsample 5.3

=== debian/changelog ===
fntsample (5.3-1) unstable; urgency=medium

  * New upstream release
  * Move packaging to salsa.debian.org and update Vcs fields

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 26 Dec 2018 08:48:05 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Build-Depends: debhelper (>= 9~), gawk, libcairo2-dev, unicode-data, libglib2.0-dev,
   pkg-config, libfreetype6-dev, libpango1.0-dev (>= 1.16), gettext, cmake (>= 3.0)
 Standards-Version: 4.1.1
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/fntsample.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/fntsample.git
+Vcs-Git: https://salsa.debian.org/debian/fntsample.git
+Vcs-Browser: https://salsa.debian.org/debian/fntsample
 Homepage: https://github.com/eugmes/fntsample
 
 Package: fntsample

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem cmake

override_dh_gencontrol:
	dh_gencontrol -- -VBuilt-Using="`dpkg-query -f'$${source:Package} (= $${source:Version})' -W unicode-data`"

## fntsample 5.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12..3.21)

project(fntsample
  VERSION 5.4
  DESCRIPTION "PDF and PostScript font samples generator"
  HOMEPAGE_URL "https://github.com/eugmes/fntsample"
  LANGUAGES C)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/CMake")

include(GNUInstallDirs)
include(CPack)

find_package(PkgConfig REQUIRED)
find_package(Intl REQUIRED)

# The target was added in CMake 3.20.
if(NOT TARGET Intl::Intl)
  add_library(Intl::Intl INTERFACE IMPORTED GLOBAL)
  target_include_directories(Intl::Intl INTERFACE ${Intl_INCLUDE_DIRS})
  target_link_libraries(Intl::Intl INTERFACE ${Intl_LIBRARIES})
endif()

pkg_check_modules(pkgs REQUIRED IMPORTED_TARGET
  cairo>=1.15.4
  fontconfig
  freetype2
  glib-2.0
  pangocairo>=1.37.0
  pangoft2>=1.37.0
)

include(DownloadUnicodeBlocks)

download_unicode_blocks()

string(TIMESTAMP DATE "%Y-%m-%d" UTC)

include(PoFileUtils)

add_subdirectory(src)
add_subdirectory(scripts)
add_subdirectory(po)

=== po/CMakeLists.txt ===
set(XGETTEXT_ARGS
  --keyword=_ --keyword=N_ --keyword=__ --keyword=__x
  --default-domain=${CMAKE_PROJECT_NAME}
  --add-comments=TRANSLATORS: --foreign-user
  --package-name ${CMAKE_PROJECT_NAME}
  --msgid-bugs-address=eugen@debian.org)

add_translations(
  POT_FILE fntsample.pot
  LANGUAGES uk
  XGETTEXT_ARGS ${XGETTEXT_ARGS}
  MSGMERGE_ARGS --backup=none --verbose
)

=== scripts/CMakeLists.txt ===
configure_file(pdf-extract-outline.1.in pdf-extract-outline.1 @ONLY)
configure_file(pdfoutline.1.in pdfoutline.1 @ONLY)
configure_file(pdfoutline.pl pdfoutline ESCAPE_QUOTES @ONLY)
configure_file(pdf-extract-outline.pl pdf-extract-outline ESCAPE_QUOTES @ONLY)

add_translatable_sources(pdfoutline.pl pdf-extract-outline.pl)

install(
  PROGRAMS
    "${CMAKE_CURRENT_BINARY_DIR}/pdfoutline"
    "${CMAKE_CURRENT_BINARY_DIR}/pdf-extract-outline"
  DESTINATION ${CMAKE_INSTALL_BINDIR}
)

install(
  FILES
    "${CMAKE_CURRENT_BINARY_DIR}/pdfoutline.1"
    "${CMAKE_CURRENT_BINARY_DIR}/pdf-extract-outline.1"
  DESTINATION "${CMAKE_INSTALL_MANDIR}/man1"
)

=== src/CMakeLists.txt ===
configure_file(config.h.in config.h ESCAPE_QUOTES @ONLY)
configure_file(fntsample.1.in fntsample.1 @ONLY)

set(
  C_WARNING_FLAGS
    -Wcast-align -Werror-implicit-function-declaration -Wchar-subscripts
    -Wall -W -Wpointer-arith -Wwrite-strings -Wformat-security
    -Wmissing-format-attribute -fno-common -Wundef
  CACHE STRING "Warning flags for C compiler"
)

add_executable(gen-unicode-blocks EXCLUDE_FROM_ALL
  gen_unicode_blocks.c
  read_blocks.c
)

target_compile_features(gen-unicode-blocks PRIVATE c_std_99)
target_compile_options(gen-unicode-blocks PRIVATE ${C_WARNING_FLAGS})

add_custom_command(
  OUTPUT static_unicode_blocks.c
  COMMAND "$<TARGET_FILE:gen-unicode-blocks>" "${UNICODE_BLOCKS}" static_unicode_blocks.c
  MAIN_DEPENDENCY ${UNICODE_BLOCKS}
  DEPENDS gen-unicode-blocks
  VERBATIM
)

add_executable(fntsample
  fntsample.c
  read_blocks.c
  ${CMAKE_CURRENT_BINARY_DIR}/static_unicode_blocks.c
)

add_translatable_sources(fntsample.c read_blocks.c)

target_compile_features(fntsample PRIVATE c_std_99)

target_include_directories(fntsample PRIVATE
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
)

target_link_libraries(fntsample PRIVATE
  m
  Intl::Intl
  PkgConfig::pkgs
)

target_compile_options(fntsample PRIVATE ${C_WARNING_FLAGS})

# TODO use improved install handling in CMake 3.14
install(TARGETS fntsample DESTINATION ${CMAKE_INSTALL_BINDIR})

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/fntsample.1"
        DESTINATION "${CMAKE_INSTALL_MANDIR}/man1")

=== debian/changelog ===
fntsample (5.4-3build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:49:34 +1100

fntsample (5.4-3build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:21:10 +0000

fntsample (5.4-3) unstable; urgency=medium

  [ Євгеній Мещеряков ]
  * Trim trailing whitespace.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Add debian/salsa-ci.yml.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on cmake, libcairo2-dev and
      libpango1.0-dev.

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 19 Oct 2021 22:43:47 +0200

fntsample (5.4-2) unstable; urgency=medium

  * Upload to unstable

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 18 Aug 2021 23:05:26 +0200

fntsample (5.4-1) experimental; urgency=medium

  * New upstream release
  * Update debian/watch so signature verification works again
  * Upload to experimental due to freeze
  * Update build-dependencies:
    - Don't depend on gawk anymore
    - Require libcairo2-dev >= 1.15.4
    - Require libpango1.0-dev >= 1.37
    - Require cmake >= 3.12
  * Use debhelper compat level 13
  * Pass the path to Blocks.txt file to CMake

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 01 Aug 2021 22:00:01 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: fntsample
 Section: text
 Priority: optional
-Maintainer: Євгеній Мещеряков <eugen@debian.org>
-Build-Depends: debhelper (>= 9~), gawk, libcairo2-dev, unicode-data, libglib2.0-dev,
-  pkg-config, libfreetype6-dev, libpango1.0-dev (>= 1.16), gettext, cmake (>= 3.0)
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Євгеній Мещеряков <eugen@debian.org>
+Build-Depends: debhelper-compat (= 13), libcairo2-dev, unicode-data, libglib2.0-dev,
+  pkg-config, libfreetype6-dev, libpango1.0-dev, gettext, cmake
 Standards-Version: 4.1.1
 Vcs-Git: https://salsa.debian.org/debian/fntsample.git
 Vcs-Browser: https://salsa.debian.org/debian/fntsample

=== debian/rules ===
--- 
+++ 
@@ -5,5 +5,8 @@
 %:
 	dh $@ --buildsystem cmake
 
+override_dh_auto_configure:
+	dh_auto_configure -- -DUNICODE_BLOCKS:PATH=/usr/share/unicode/Blocks.txt
+
 override_dh_gencontrol:
 	dh_gencontrol -- -VBuilt-Using="`dpkg-query -f'$${source:Package} (= $${source:Version})' -W unicode-data`"
